#
# Conditional build:
%bcond_with	tests	# perform "make test"
%bcond_without	python2	# CPython 2.x module
%if "%{pld_release}" == "ac"
%bcond_with	python3	# CPython 3.x module
%bcond_without	pypy	# PyPy module
%else
%bcond_without	python3	# CPython 3.x module
%bcond_without	pypy	# PyPy module
%endif

%define	__pypy	/usr/bin/pypy
%define pypy_ver	%{expand:%%global pypy_ver %(%{__pypy} -c "import sys; print '{0}.{1}'.format(*sys.pypy_version_info[:2])" 2>/dev/null || echo ERROR)}%pypy_ver
%define pypy_py_ver	%{expand:%%global pypy_py_ver %(%{__python} -c "import sys; print sys.version[:3]" 2>/dev/null || echo ERROR)}%pypy_py_ver
%define pypy_libdir	%{expand:%%global pypy_libdir %(%{__pypy} -c "import sys; print sys.prefix" 2>/dev/null || echo ERROR)}%pypy_libdir
%define pypy_sitedir	%{pypy_libdir}/site-packages

%define		pname	distribute
Summary:	Easily download, build, install, upgrade, and uninstall Python packages
Summary(pl.UTF-8):	Łatwe ściąganie, budowanie, instalowanie, uaktualnianie i usuwanie pakietów Pythona
Name:		python-distribute
Version:	0.6.28
Release:	1
License:	PSF or ZPL
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/d/distribute/distribute-%{version}.tar.gz
# Source0-md5:	b400b532e33f78551e6847c1f5965e56
URL:		http://pypi.python.org/pypi/distribute
%if %{with python2}
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-2to3 >= 1:3.1.1-3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
%if %{with pypy}
BuildRequires:	pypy
%endif
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.523
Provides:	python-setuptools = 1:0.6-3
Obsoletes:	python-setuptools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Distribute is a fork of the Setuptools project.

Distribute is intended to replace Setuptools as the standard method
for working with Python module distributions.

%description -l pl.UTF-8
Distribute to odgałęzienie (fork) projektu Setuptools.

Distribute ma na celu zastąpienie Setuptools jako standardowej metody
pracy z dystrybucjami modułów Pythona.

%package -n python3-%{pname}
Summary:	Easily download, build, install, upgrade, and uninstall Python 3.x packages
Summary(pl.UTF-8):	Łatwe ściąganie, budowanie, instalowanie, uaktualnianie i usuwanie pakietów Pythona 3.x
Group:		Development/Languages/Python

%description -n python3-%{pname}
Distribute is a fork of the Setuptools project.

Distribute is intended to replace Setuptools as the standard method
for working with Python module distributions.

%description -n python3-%{pname} -l pl.UTF-8
Distribute to odgałęzienie (fork) projektu Setuptools.

Distribute ma na celu zastąpienie Setuptools jako standardowej metody
pracy z dystrybucjami modułów Pythona.

%package -n pypy-%{pname}
Summary:	Easily download, build, install, upgrade, and uninstall Python PyPy packages
Summary(pl.UTF-8):	Łatwe ściąganie, budowanie, instalowanie, uaktualnianie i usuwanie pakietów Pythona PyPy
Group:		Development/Languages/Python

%description -n pypy-%{pname}
Distribute is a fork of the Setuptools project.

Distribute is intended to replace Setuptools as the standard method
for working with Python module distributions.

%description -n pypy-%{pname} -l pl.UTF-8
Distribute to odgałęzienie (fork) projektu Setuptools.

Distribute ma na celu zastąpienie Setuptools jako standardowej metody
pracy z dystrybucjami modułów Pythona.

%prep
%setup -q -n %{pname}-%{version}

%build
%if %{with python2}
%{__python} setup.py \
	build -b build-2

%if %{with tests}
%{__python} setup.py test
%endif
%endif

%if %{with python3}
%{__python3} setup.py \
	build -b build-3

%if %{with tests}
%{__python3} setup.py test
%endif
%endif

%if %{with pypy}
%{__pypy} setup.py \
	build -b build-pypy

%if %{with tests}
%{__pypy} setup.py test
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} -- setup.py \
	build -b build-2 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

# shutup check-files
%py_postclean
%{__rm} $RPM_BUILD_ROOT%{_bindir}/easy_install
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/setuptools/*.exe
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/setuptools/tests
# reinstall site.py deleted by py_postclean
cp build-2/lib/site.py $RPM_BUILD_ROOT%{py_sitescriptdir}/site.py

# rename to avoid rpm dir-to-file conflict from upgrade from python-setuptools
egg=$(basename $RPM_BUILD_ROOT%{py_sitescriptdir}/setuptools-*.egg-info)
mv $RPM_BUILD_ROOT%{py_sitescriptdir}/$egg $RPM_BUILD_ROOT%{py_sitescriptdir}/S${egg#?}
%endif

%if %{with python3}
%{__python3} -- setup.py \
	build -b build-3 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%{__rm} $RPM_BUILD_ROOT%{_bindir}/easy_install
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/setuptools/*.exe
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/setuptools/tests
%endif

%if %{with pypy}
%{__pypy} -- setup.py \
	build -b build-pypy \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=1

mv $RPM_BUILD_ROOT%{pypy_libdir}/bin/easy_install $RPM_BUILD_ROOT%{_bindir}/easy_install-pypy-%{pypy_ver}
%{__rm} $RPM_BUILD_ROOT%{pypy_libdir}/bin/easy_install*
%{__rm} $RPM_BUILD_ROOT%{pypy_sitedir}/setuptools/*.exe
%{__rm} -r $RPM_BUILD_ROOT%{pypy_sitedir}/setuptools/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/easy_install-2.*
%{py_sitescriptdir}/distribute-%{version}-py*.egg-info
%{py_sitescriptdir}/Setuptools-0.6c11-py*.egg-info
%{py_sitescriptdir}/easy_install.py[co]
%{py_sitescriptdir}/pkg_resources.py[co]
%{py_sitescriptdir}/site.py
%{py_sitescriptdir}/site.py[co]
%dir %{py_sitescriptdir}/setuptools
%{py_sitescriptdir}/setuptools/*.py[co]
%dir %{py_sitescriptdir}/setuptools/command
%{py_sitescriptdir}/setuptools/command/*.py[co]
%{py_sitescriptdir}/setuptools.pth
%endif

%if %{with python3}
%files -n python3-%{pname}
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/easy_install-3.*
%{py3_sitescriptdir}/distribute-%{version}-py*.egg-info
%{py3_sitescriptdir}/setuptools-0.6c11-py*.egg-info
%{py3_sitescriptdir}/easy_install.py
%{py3_sitescriptdir}/pkg_resources.py
%{py3_sitescriptdir}/site.py
%{py3_sitescriptdir}/__pycache__/easy_install.*.py[co]
%{py3_sitescriptdir}/__pycache__/pkg_resources.*.py[co]
%{py3_sitescriptdir}/__pycache__/site.*.py[co]
%dir %{py3_sitescriptdir}/setuptools
%{py3_sitescriptdir}/setuptools/*.py
%dir %{py3_sitescriptdir}/setuptools/__pycache__
%{py3_sitescriptdir}/setuptools/__pycache__/*.py[co]
%dir %{py3_sitescriptdir}/setuptools/command
%{py3_sitescriptdir}/setuptools/command/*.py
%dir %{py3_sitescriptdir}/setuptools/command/__pycache__
%{py3_sitescriptdir}/setuptools/command/__pycache__/*.py[co]
%{py3_sitescriptdir}/setuptools.pth
%endif

%if %{with pypy}
%files -n pypy-%{pname}
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/easy_install-pypy*
%{pypy_sitedir}/distribute-%{version}-py*.egg-info
%{pypy_sitedir}/setuptools-0.6c11-py*.egg-info
%{pypy_sitedir}/easy_install.py*
%{pypy_sitedir}/site.py*
%{pypy_sitedir}/pkg_resources.py*
%dir %{pypy_sitedir}/setuptools
%{pypy_sitedir}/setuptools/*.py*
%dir %{pypy_sitedir}/setuptools/command
%{pypy_sitedir}/setuptools/command/*.py*
%{pypy_sitedir}/setuptools.pth
%endif
%changelog
* Wed Aug 08 2012 Jan Rękorajski <baggins@pld-linux.org> 7d8d690
Updated to 0.6.28

* Sat Jun 02 2012 Caleb Maclennan <caleb@alerque.com> d18c630
- Up to 0.6.27

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> a082d0e
- up to 0.6.24

* Thu Dec 08 2011 lisu <lisu@pld-linux.org> 39742d9
- rel 3

* Sat Oct 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b9790f
- release 2

* Mon Sep 19 2011 Szymon Siwek <sls@pld-linux.org> db3a3c6
- fixed sequence of rm/mv easy_install

* Sat Aug 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 440157a
- updated to 0.6.21

* Fri Aug 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 461999a
- pl
- don't own __pycache__ dir belonging to python3-libs

* Sat Jul 16 2011 Jacek Konieczny <jajcus@pld-linux.org> e907b4e
- let's have this one for pypy too
- Release: 3

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> f1ecec0
- Release: 2

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> b882f40
- no support for python3 < 3.2 any more

* Sat Jul 02 2011 Jacek Konieczny <jajcus@pld-linux.org> 7ab6946
- Python 3.2 support (include *.py and __pycache__/*.py[co])

* Thu Jun 02 2011 Caleb Maclennan <caleb@alerque.com> 5af72f1
- Up to 0.6.19

* Sat May 07 2011 Caleb Maclennan <caleb@alerque.com> f8963ae
- Up to 0.6.16

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> dbc7161
- Up to 0.6.15

* Tue Jan 18 2011 Elan Ruusamäe <glen@pld-linux.org> c392e01
- setuptools-0.6c11-py2.7.egg-info is now a file, try to workaround by renaming it with upper caps
- rel 3

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> d3f5afd
- release 2

* Wed Sep 15 2010 Elan Ruusamäe <glen@pld-linux.org> 8ee880a
- up to 0.6.14

* Mon Sep 13 2010 Elan Ruusamäe <glen@pld-linux.org> 61ff769
- release 7

* Mon Sep 13 2010 Elan Ruusamäe <glen@pld-linux.org> cddd9c1
- no python3 on ac

